package com.hzya.frame.seeyon.entity;

import com.hzya.frame.web.entity.BaseEntity;

import java.io.File;

/** 
 * 
 * @content OA字段配置表
 * @className: Administrator
 * @author laborer
 * @date 2024-09-09 15:48
 *
 */

public class CapFormDefinitionEntity extends BaseEntity {
    private String fieldInfo;//字段属性定义
    private String viewInfo;//视图权限定义
    private String appbindInfo;//应用绑定定义
    private String tableName;//表名
    private String fieldName;//字段名称
    private String fieldValue;//字段值

    public String getFieldValue() {
        return fieldValue;
    }

    public void setFieldValue(String fieldValue) {
        this.fieldValue = fieldValue;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public String getFieldName() {
        return fieldName;
    }

    public void setFieldName(String fieldName) {
        this.fieldName = fieldName;
    }

    public String getFieldInfo() {
        return fieldInfo;
    }

    public void setFieldInfo(String fieldInfo) {
        this.fieldInfo = fieldInfo;
    }

    public String getViewInfo() {
        return viewInfo;
    }

    public void setViewInfo(String viewInfo) {
        this.viewInfo = viewInfo;
    }

    public String getAppbindInfo() {
        return appbindInfo;
    }

    public void setAppbindInfo(String appbindInfo) {
        this.appbindInfo = appbindInfo;
    }
}
